import request from '@/utils/request'

// 查询蒸汽裂解装置导师带徒导师库列表
export function listTrainer(query) {
  return request({
    url: '/bccnew/trainer/list',
    method: 'get',
    params: query
  })
}

// 查询蒸汽裂解装置导师带徒导师库详细
export function getTrainer(trainerId) {
  return request({
    url: '/bccnew/trainer/' + trainerId,
    method: 'get'
  })
}

// 新增蒸汽裂解装置导师带徒导师库
export function addTrainer(data) {
  return request({
    url: '/bccnew/trainer',
    method: 'post',
    data: data
  })
}

// 修改蒸汽裂解装置导师带徒导师库
export function updateTrainer(data) {
  return request({
    url: '/bccnew/trainer',
    method: 'put',
    data: data
  })
}

// 删除蒸汽裂解装置导师带徒导师库
export function delTrainer(trainerId) {
  return request({
    url: '/bccnew/trainer/' + trainerId,
    method: 'delete'
  })
}

// 导出蒸汽裂解装置导师带徒导师库
export function exportTrainer(query) {
  return request({
    url: '/bccnew/trainer/export',
    method: 'get',
    params: query
  })
}